SelectGenerator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id
Class SelectGenerator

    java.lang.Object
      org.hibernate.id.AbstractPostInsertGenerator
          org.hibernate.id.SelectGenerator

All Implemented Interfaces:
  BulkInsertionCapableIdentifierGenerator, Configurable, IdentifierGenerator, PostInsertIdentifierGenerator

    public class SelectGenerator

extends AbstractPostInsertGenerator
implements Configurable

A generator that selects the just inserted row to determine the identifier value assigned by the database. The correct row is located using a unique key.

One mapping parameter is required: key (unless a natural-id is defined in the mapping).

Nested Class Summary
`static class` | `SelectGenerator.SelectGeneratorDelegate` The delegate for the select generation strategy.

Field Summary

Fields inherited from interface org.hibernate.id.IdentifierGenerator
`ENTITY_NAME`

Constructor Summary
`SelectGenerator()`

Method Summary
`void` | `configure(Type type, Properties params, Dialect d)` Configure this instance, given the value of parameters specified by the user as `<param>` elements.
`InsertGeneratedIdentifierDelegate` | `getInsertGeneratedIdentifierDelegate(PostInsertIdentityPersister persister, Dialect dialect, boolean isGetGeneratedKeysEnabled)`

Methods inherited from class org.hibernate.id.AbstractPostInsertGenerator
`determineBulkInsertionIdentifierGenerationSelectFragment, generate, supportsBulkInsertionIdentifierGeneration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectGenerator

    public SelectGenerator()

Method Detail

### configure

    public void configure(Type type,
                          Properties params,
                          Dialect d)
                   throws MappingException

  Description copied from interface: `Configurable`
  Configure this instance, given the value of parameters specified by the user as `<param>` elements. This method is called just once, following instantiation.

  Specified by:
    `configure` in interface `Configurable`
    `params` - param values, keyed by parameter name
  Throws:
    `MappingException`

### getInsertGeneratedIdentifierDelegate

    public InsertGeneratedIdentifierDelegate getInsertGeneratedIdentifierDelegate(PostInsertIdentityPersister persister,
                                                                                  Dialect dialect,
                                                                                  boolean isGetGeneratedKeysEnabled)
                                                                           throws HibernateException

  Specified by:
    `getInsertGeneratedIdentifierDelegate` in interface `PostInsertIdentifierGenerator`
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.